
[data-md-color-scheme="light"] {
/*  --md-primary-fg-color: #0088cc;
  --md-default-bg-color: white;
  --md-footer-bg-color: #0088cc;
  --md-accent-fg-color: #0088cc;*/
  --md-typeset-a-color: #153cd3;
  --md-default-fg-color--light: black;
  --md-default-fg-color--lightest: #BDBCBC;
}

[data-md-color-scheme="slate"] {
/*  --md-primary-fg-color: #31363b; /*Footer-grau*/
    --md-default-bg-color: #131313; /*Hintergrund, alt= #1e1e1e*/
/*  --md-typeset-a-color: #ffffff;  */
/*  --md-typeset-color: #ffffff;*/
    --md-default-fg-color--light: #ffffff;
/*    --md-default-fg-color--lightest: #303fa1; */
    --md-default-fg-color: #ffffff;
/*  --md-footer-bg-color: #31363b;
*/
}

/*Schriftart ändern*/
@font-face {
  font-family: "TT Commons Bold";
  font-weight: normal; 
  font-style: normal;
  src: url('../fonts/tt-commons/TT Commons Bold.otf') format('opentype');
}
body {
    font-family: 'TT Commons Medium', sans-serif;
    font-size: 21px;
}

/*Hintergrund der Bildunterschrift*/
[data-md-color-scheme="slate"] .gdesc-inner {
  --md-default-bg-color: black;
}


/*Suchergebnisse werden gelb hervorgehoben*/
[data-md-color-scheme="slate"] .md-typeset mark {
  background-color: yellow;
  color: black;
}
[data-md-color-scheme="light"] .md-search-result mark {
  background-color: yellow;
  color: black;
}
[data-md-color-scheme="light"] .md-typeset mark {
  background-color: yellow;
}


/*Zentrieren der Bildunterschrift*/
.glightbox-clean .gdesc-inner {
  padding: unset!important;
  text-align: center;
  font-size: 20px;
  bottom: 80px;
  background-color: #00000000!important;
  text-shadow: .5px .5px black;
  font-weight: 700;
}
.gslide-desc {
  color: #ffffff!important;
}
/*Abstand auf größeren Bildschirmen*/
.gslide-description.description-bottom, .gslide-description.description-top {
  bottom: 40px;
}
/*Hintergrund auf größeren Bildschirmen*/
.glightbox-clean .gslide-description {
  background-color: transparent!important;
}
/*Hintergrundtext auf Mobilgeräten auch weiß*/
.glightbox-mobile .glightbox-container .gslide-desc {
  color: #ffffff!important;
}

/* Abstand zur Titelüberschrift*/
.md-typeset h1 {
  margin-bottom: 15px;
  /*text-align: center;*/
}
.md-typeset h2 {
  margin-left: 0.5rem;
  font-family: 'TT Commons Bold', sans-serif;
  text-align: left;
}

.md-typeset p {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
}

.md-footer-meta__inner {
  display: table;
  padding: 0rem;
}


/*lasse den Text nur so weit wie das Bild fließen*/
.md-typeset p {
  max-width: 580px;
  text-align: justify;
}
/* Schatten der Polaroid im Dunkelmodus */
[data-md-color-scheme="slate"] .polaroid {
  box-shadow: 0 4px 8px 0 rgba(255, 255, 255, 0.2), 0 6px 20px 0 rgba(117, 117, 117, 0.19);
}

[data-md-color-scheme="light"] .imgbox img {
  border: 1px solid #000;
}

/*Weiterlesen-Button*/
.read_more {
  
  input {
    opacity: 0;
    position: absolute;
    pointer-events: none;
  }
  
  p {
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;  
    overflow: hidden;
  }
  
  input:focus ~ label {
    outline: -webkit-focus-ring-color auto 5px;
  }
  
  input:checked + p {
    -webkit-line-clamp: unset;
  }
  
  input:checked ~ label {
    display: none;
  }
  label {
  color: #5488E8; /* Setze die Farbe auf blau */
  cursor: pointer; /* Hand-Cursor zeigen */
  margin-left: 0.5rem;
  }
  
}

.minimap {
    transition: all 0.3s ease;
}

.minimap.collapsed {
    width: 0;
    opacity: 0;
}


/*

.image-gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  padding: 0 16px;
}

.image-gallery img {
  width: calc(25% - 32px); /* 4 Spalten, mit einem Padding von 16px
  margin: 16px;
  border-radius: 8px; /* Optional: für abgerundete Ecken
}

@media (max-width: 800px) {
  .image-gallery img {
    width: calc(50% - 32px); /* 2 Spalten
  }
}

@media (max-width: 600px) {
  .image-gallery img {
    width: 100%; /* 1 Spalte 
  }
}

.md-typeset h1,h2,h3,h4,h5,h6 { color: var(--heading-dark); }
:root[data-theme="light"] .md-typeset h1,h2,h3,h5,h6 { color: var(--heading-light) !important; }
*/

/*Mache den Footer etwas kleiner Standard: 0.9rem*/
.md-footer__title {
  font-size: 0.7rem;
}


.md-content {
  flex-grow: unset;
}


/*lässt den zurück-Footer auf kleinen Bildschirmen erscheinen*/
@media screen and (max-width: 44.9844em) {
  .md-footer__link--prev .md-footer__title {
    display: block;
  }
}


@media screen and (max-width: 76.15em) {
  body {
    .boxen {
      align-items: center;
}
    .md-grid {
      max-width: 30rem;
}

  }
}

@media screen and (min-width: 60em) {
  .md-nav--secondary .md-nav__title .md-nav__icon {
    display: flex;
  }
}


/*ab 612px werden die Polaroids nebeneinander dargestellt*/

@media screen and (max-width: 1220px) {
  body {
    .md-grid {
      /*max-width: 30rem;*/
      /*margin-right: unset;*/
}
  }
}


/*
@media screen and (max-width: 76.2344em) {
  .md-nav--primary .md-nav__title {
    background-color: var(--md-default-fg-color--lightest);
  }
*/


/*@media screen and (max-width: 76.2344em) {
  .md-nav--primary .md-nav__title {
    background-color: var(--md-default-fg-color--lightest);
  }*/


.boxen {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
}

.polaroid {
  /*width: 285px;*/
  width: 270px;
  height: 235px;
  overflow: hidden; /* Verhindert, dass das Bild überläuft */
  justify-content: center;
  background-color: rgba(196, 216, 255, 0.19);
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  padding: 10px;
  text-align: center;
  margin-right: 10px;
  margin-bottom: 10px;
}

.polaroid img {
  width: 100%; /* Bild passt immer zur Breite der Box */
  height: 170px; /* Feste Höhe, um das Bild zuzuschneiden */
  object-fit: cover; /* Zuschneiden des Bildes */
}

.leaflet-container {
  height: 400px;
  width: 600px;
  max-width: 100%;
  max-height: 100%;
  font-size: 0.5rem!important;
  opacity: .99; /*lässt die Karte hinter dem Menü verschwinden*/
}

.leaflet-control-minimap {
  width: 100px !important; /* Breite */
  height: 100px !important; /* Höhe */
}

.gallerybox {
  white-space: nowrap;
  overflow-x: auto;
  max-width: 600px;
}

.md-typeset figure {
    margin: 0;
}

/* Container holding the first cover image */
.imgcover img {
  width: 600px;
  max-height: 750px;             /* Breitere Breite für das erste Bild */
/*  height: 300px;            /* Höhere Höhe für das erste Bild */
/*  margin-right: 5px;       /* Abstand zum nächsten Bild */
  border-radius: 10px;     /* Abgerundete Ecken */
/*  border: 2px solid rgb(138, 138, 128); /* Rahmen für das erste Bild */
  object-fit: cover;       /* Schneidet das Bild, ohne es zu verzerren */
}

/* Thumbnails */
.imgbox img {
  width: 100px;               /* Breite des Bildcontainers */
  height: 100px;              /* Höhe des Bildcontainers */
  margin-right: 5px;         /* Abstand zwischen den Bildern */
  border-radius: 20px;       /* Abgerundete Ecken */
  border: 1px solid #ddd; /* Rahmen um die Bilder */
  object-fit: cover;         /* Schneidet das Bild, ohne es zu verzerren */
}

.coverbox {
  overflow-x: auto;
}

/* Basic hover effect */
.interactive-element {

  object-fit: cover;
  transition: transform 0.2s ease-out;
  /* Ensure smooth transitions for all properties */
  will-change: transform;
}

.interactive-element:hover {
  transform: scale(1.05);
}